playMaker

Author Topic: Playmaker PUN2 errors[SOLVED]  (Read 1463 times)

Padenlee

  • Junior Playmaker
  • **
  • Posts: 63
  • You can't hit what you don't shoot for!
Playmaker PUN2 errors[SOLVED]
« on: September 29, 2019, 04:43:44 PM »
Got some errors when trying to get PUN2 up and running.

Unity 2019.1.1

Fresh project, install Playmaker, import PUN2 from Asset Store, import Ecosystem, import PlayMaker Pun2 actions from Ecosystem results in 4 errors:

Assets/PlayMaker PUN 2/Editor/PlayMakerPhotonWizard.cs(39,45): error CS0117: 'AccountService' does not contain a definition for 'Origin'

Assets/PlayMaker PUN 2/Editor/PlayMakerPhotonWizard.cs(39,45): error CS0117: 'AccountService' does not contain a definition for 'Origin'

Assets/PlayMaker PUN 2/Editor/PlayMakerPhotonWizard.cs(84,13): error CS0103: The name 'RegisterOrigin' does not exist in the current context

Assets/PlayMaker PUN 2/Editor/PlayMakerPhotonWizard.cs(84,45): error CS0117: 'AccountService' does not contain a definition for 'Origin'

Any thoughts? Is there a work around?
« Last Edit: January 13, 2020, 02:30:55 AM by jeanfabre »
-Paden Pierry
@padenpierry
Apple inc.'s first TV show, EP 1.
Game Dev since 2007
Coolest client: Bridgestone

Padenlee

  • Junior Playmaker
  • **
  • Posts: 63
  • You can't hit what you don't shoot for!
Re: Playmaker PUN2 errors
« Reply #1 on: September 29, 2019, 04:45:16 PM »
Deleting PlayMakerPhotonWizard.cs got the errors to disappear and the import concluded without any more errors
-Paden Pierry
@padenpierry
Apple inc.'s first TV show, EP 1.
Game Dev since 2007
Coolest client: Bridgestone

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15496
  • Official Playmaker Support
Re: Playmaker PUN2 errors
« Reply #2 on: September 30, 2019, 02:17:33 AM »
Hi,

You likely haven't installed pun 2 package, but pun classic (v1).

 Bye,

 Jean

PikabobAlex

  • Playmaker Newbie
  • *
  • Posts: 22
Re: Playmaker PUN2 errors
« Reply #3 on: September 30, 2019, 08:08:55 AM »
Hi Jean,

Same error here, even thought I have the PUN2 installed. And the error still happens

Padenlee

  • Junior Playmaker
  • **
  • Posts: 63
  • You can't hit what you don't shoot for!
Re: Playmaker PUN2 errors
« Reply #4 on: September 30, 2019, 03:12:52 PM »
I have have PUN2 imported.

I just imported PUN2 and Playmaker Pun2 into an existing project without the error above. Very odd
-Paden Pierry
@padenpierry
Apple inc.'s first TV show, EP 1.
Game Dev since 2007
Coolest client: Bridgestone

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15496
  • Official Playmaker Support
Re: Playmaker PUN2 errors
« Reply #5 on: October 01, 2019, 03:57:03 AM »
Hi,

 Please update, it's fixed.

 Bye,

 Jean

600

  • Beta Group
  • Hero Member
  • *
  • Posts: 674
    • Flashing Lights
Re: Playmaker PUN2 errors
« Reply #6 on: December 28, 2019, 12:52:04 PM »
Hello,
The same errors appear for PUN classic. Imported latest version PUN1 from AS in Unity 2018.4 and latest PM actions.

Temporary deleting the wizard removes errors.

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15496
  • Official Playmaker Support
Re: Playmaker PUN2 errors
« Reply #7 on: January 08, 2020, 07:31:28 AM »
Hi,

 uhm, I 'll check it out, maybe I missed something.

Bye,

 Jean

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15496
  • Official Playmaker Support
Re: Playmaker PUN2 errors
« Reply #8 on: January 13, 2020, 02:30:34 AM »
Hi,

 ok, fixed :)

 Bye,

 Jean

600

  • Beta Group
  • Hero Member
  • *
  • Posts: 674
    • Flashing Lights
Re: Playmaker PUN2 errors
« Reply #9 on: January 13, 2020, 09:38:25 AM »
Hi,

 ok, fixed :)

 Bye,

 Jean
Thank you!:)